1

I do not wish to use composer.
I wish to try out Accelerated Mobile Pages (AMP) (in D8). Is this possible and how do I do it?

  • What's blocking you from using composer? – Berdir Apr 13 '17 at 21:09
5

Since the AMP module requires the Lullabot AMP Library, there really is not a great way to install this without Composer. That is because Composer will update the autoloader information with that namespace and vendor information and fetch dependencies. Downloading the tarball of the module and the GitHub download unfortunately will not do the trick - you must use Composer. The module will block installation if it cannot find the class namespace of \Lullabot\Amp.

The Lullabot AMP Library also has its own dependencies listed in its composer.json, so Composer is required here.

  • As I feared. Are there any other AMP Modules similar to it? – tanbog Apr 13 '17 at 3:01
  • Not that I am aware of. Any module that has dependencies these days will basically require the usage of Composer - especially if those dependencies are external to Drupal like in this case, as there is no other way to manage them. – Kevin Apr 13 '17 at 3:02

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.